#![allow(missing_docs)]

use keyfork_prompt::{
    Message,
    default_handler,
};

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let mut handler = default_handler()?;

    let output = handler.prompt_input("Test message: ")?;
    handler.prompt_message(Message::Text(format!("Result: {output}")))?;

    Ok(())
}
